import {
  snGenerationMethodList,
  serialNumberTypeList,
  serialNumberPositionList,
} from '@/views/book/courseware/data/common';

export function getLabelProperty() {
  return {
    serial_number: 1, // 序号
    sn_type: serialNumberTypeList[0].value, // 序号类型：letter字母 number数字  capital大写字母 bracket_number括号数字
    sn_position: serialNumberPositionList[0].value, // 序号位置：top-start top top-end，left-start left left-end等
    sn_generation_method: snGenerationMethodList[0].value, // 序号生成方式：recalculate重新计算 follow 跟随
    // 序号样式 solidBlockStyle实心方块 solidCircleStyle实心圆 hollowBlockStyle空心方块 hollowCircleStyle空心圆 defaultStyle默认无
    sn_style: 'solidBlockStyle',
    sn_background_color: '#ea3232', // 序号背景色
    label_color: 'random', // 标签颜色：random随机、#F53F3F等部分定义好的颜色
    label_font: '中文', // 标签字体
  };
}

export function getLabelData() {
  return {
    type: 'label',
    title: '标签',
    dynamicTags: [], // 标签内容 {text:'标准',color:'#F53F3F'}
    commonTags: [], // 常用标签{text:'标准',color:'#F53F3F'}（目前存储在本地缓存）
    property: getLabelProperty(),
  };
}

// 标签常用颜色
export const labelColorList = [
  { label: '随机', value: 'random' },
  { label: '#F53F3F', value: '#F53F3F' },
  { label: '#00B42A', value: '#00B42A' },
  { label: '#0FC6C2', value: '#0FC6C2' },
  { label: '#FF7D00', value: '#FF7D00' },
  { label: '#F7BA1E', value: '#F7BA1E' },
  { label: '#722ED1', value: '#722ED1' },
  { label: '#F5319D', value: '#F5319D' },
  { label: '#165DFF', value: '#165DFF' },
  { label: '#3491FA', value: '#3491FA' },
];
